/* product page starts */

:root {
  --body-color: #f0fff36b;
  --darkgreen-font-color:#003016;
  --primary-colour:#005628;
  --footerandheader-bar-colour:#047d39;
  --light-font-colour:#696969;
  --border-colour:#ebebeb;
  --dark-border-colour:#8d8d8d;
}

.main_image img {
  width: 100%;
  height: max-content;
}

.product-name {
  display: inline-block;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--dark-border-colour);
  margin-bottom: 25px;
  font-size: 30px;
  font-weight: bold;
  text-transform: capitalize;
  color: var(--darkgreen-font-color);
}

/* --------------------------------------------------------------- */


.product-detail-2-col-wrapper {
  width: 100%;
  height: auto;
  display: flex;
  gap: 7%;
  padding: 50px;
}

.product-detail-img-slid-left {
  width: 35%;
  display: flex;
  flex-wrap: wrap;
}

.option {
  display: flex;
  height: min-content;
  justify-content: space-between;
  margin: 0 5px;
  overflow: hidden;
  width: 100%;
}

.option img {
  width: 33%;
  height: auto;
  object-fit: cover;
  border: 1px solid var(--dark-border-colour);
  border-radius: 5px;
  cursor: pointer;
  transition: opacity 0.3s ease;
}

.product-detail-text-right {
  width: 35%;
  height: auto;
}

.main_image {
  position: relative;
  width: fit-content;
  height: min-content;
  border: 1px solid var(--dark-border-colour);
  border-radius: 5px;
  margin: 5px;
  overflow: hidden;
}

.slider-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 35px;
  height: 35px;
  background-color: var(--primary-colour);
  color: white;
  font-size: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  opacity: 0.7;
  transition: opacity 0.3s ease;
  border-radius: 50%;
  margin: 0 3px;
}

.slider-arrow.right{
  right: 0;
}

.slider-arrow:hover {
  opacity: 1;
}

.product-detail-text-right>div {
  margin-bottom: 25px;
}

.product-detail-text-right>div>span {
  font-weight: bold;
  display: inline-block;
  margin-bottom: 10px;
  font-size: 19px;
}

.product-detail-text-right>div>div {
  margin-top: 2px;
  font-size: 18px;
}



.product-disc-wrapper {
  width: 100%;
  padding: 50px;
  padding-bottom: 20px;
  color: var(--darkgreen-font-color);
}

.disc-line {
  display: flex;
  gap: 2%;
  margin-bottom: 30px;
}

.tick {
  font-size: 30px;
}

.product-middle-btn{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* ------------------- media query ------------------------*/

@media screen and (max-width: 480px) {
  /* Styles for mobile devices */
  /* Override or modify existing styles for mobile view */


.product-detail-2-col-wrapper {
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0px;
}

.product-detail-img-slid-left {
  width: 85%;
  margin-bottom: 5%;
}

.product-detail-text-right {
  width: 85%;
}

.product-disc-wrapper {
  padding: 7%;
}

.disc-line {
  gap: 5%;
}


}